Page MenuHomePhabricator

[Task] make ValueView into a lib or do not require it via composer.json
Closed, ResolvedPublic

Description

Wikibase requires "data-values/value-view" in its composer.json. That has "type": "mediawiki-extension" in its composer.json, which makes composer install it under extensions instead of vendor, which won't be supported for production and only works for now because it is contained within the Wikidata build. Either change it to be a normal lib/component, which itself is e.g. not allowed to register hooks, the requiring code could to that however. Or (not preferred) stop depending on it via composer, see https://www.mediawiki.org/wiki/Requests_for_comment/Improving_extension_management#Dependencies_upon_extensions .

Related Objects

StatusSubtypeAssignedTask
InvalidNone
ResolvedAddshore
ResolvedAddshore
DeclinedNone
Resolvedaude
ResolvedJeroenDeDauw
ResolvedWMDE-leszek
InvalidNone
InvalidNone
ResolvedNone
ResolvedVictorbarbu
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedLucas_Werkmeister_WMDE
DeclinedTarrow
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedNone
ResolvedLadsgroup
ResolvedLucas_Werkmeister_WMDE
ResolvedTarrow
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedItamarWMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedItamarWMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedNone
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedTarrow
ResolvedItamarWMDE
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedItamarWMDE
ResolvedItamarWMDE
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLucas_Werkmeister_WMDE
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedMtDu
ResolvedLydia_Pintscher
DeclinedLydia_Pintscher
InvalidNone
InvalidNone
ResolvedReedy
ResolvedLegoktm
ResolvedLadsgroup
ResolvedNone
ResolvedJanZerebecki
ResolvedNone
ResolvedJanZerebecki
ResolvedKrinkle
InvalidNone
ResolvedJanZerebecki
ResolvedAddshore

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a project: Wikidata.
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 8:41 PM
JanZerebecki set Security to None.
Lydia_Pintscher triaged this task as Medium priority.Jun 12 2015, 1:24 PM
Jonas renamed this task from make ValueView into a lib or do not require it via composer.json to [Task] make ValueView into a lib or do not require it via composer.json.Aug 13 2015, 2:59 PM
Lydia_Pintscher lowered the priority of this task from Medium to Low.Apr 23 2017, 4:23 PM

Seems this is going to be resolved once T178580 is resolved.

WMDE-leszek closed this task as Resolved.Nov 2 2017, 1:54 PM
WMDE-leszek claimed this task.